LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Minor problem with SlackBuilds E17 upgrade for Edje (http://www.linuxquestions.org/questions/slackware-14/minor-problem-with-slackbuilds-e17-upgrade-for-edje-920200/)

linus72 12-23-2011 08:58 AM

Minor problem with SlackBuilds E17 upgrade for Edje
 
Got the new upgrades to E17 today
But Edje would not build complaining that there was no "ecore-evas" and "ecore-file".
Found this here
http://forum.enlightenment.org/comme...scussionID=475

added "--enable-ecore-evas" and "--enable-ecore-file" to Slackbuild and tried to build it, but it quit saying error no such options available, etc

then I manually did the ./configure blah blah from terminal and it configured fine, don't know why editing the Slackbuild didnt work, maybe I edited it wrong??

error
Code:

ecore.SlackBuild.build: line 65: --enable-ecore-file: command not found
Code:

checking for EDJE... no
configure: error: Package requirements (
    eina >= 1.1.0
    eet >= 1.5.0
    evas >= 1.1.0
    ecore >= 1.1.0
    ecore-evas >= 1.1.0
    ecore-file >= 1.1.0
    embryo >= 1.1.0
  ) were not met:

No package 'ecore-evas' found

any help appreciated!
thanks

R3V0LV3R 12-23-2011 04:09 PM

Those (evas & ecore) are dependencies of edje.

You have to build them before building edje. You can't just enable them in the build file because they don't exist on your system.

linus72 12-23-2011 08:11 PM

OK, seems it's been fixed and updated
thanks!

@R3V0LV3R, the problem was that ecore was not set by default in ./configure options to enable ecore-evas and ecore-file, both of which are required by edje
and yes, obviously they must be in the build file for ecore to be built with those options, they aren't separate packages.
anyway, problem solved!


All times are GMT -5. The time now is 01:24 AM.